
From: Nikita Danilov <nikita@clusterfs.com>

cleanup of deadline_dispatch_requests():

- replace drq selection with hopefully clearer while semantically the
  same construct: take write request, if there is any, otherwise take read
  one, or NULL if none exist.

- kill unused other_dir.

Signed-off-by: Nikita Danilov <nikita@clusterfs.com>
Cc: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/deadline-iosched.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

diff -puN drivers/block/deadline-iosched.c~cleanup-of-deadline_dispatch_requests drivers/block/deadline-iosched.c
--- devel/drivers/block/deadline-iosched.c~cleanup-of-deadline_dispatch_requests	2005-08-06 16:00:02.000000000 -0700
+++ devel-akpm/drivers/block/deadline-iosched.c	2005-08-06 16:00:02.000000000 -0700
@@ -507,18 +507,12 @@ static int deadline_dispatch_requests(st
 	const int reads = !list_empty(&dd->fifo_list[READ]);
 	const int writes = !list_empty(&dd->fifo_list[WRITE]);
 	struct deadline_rq *drq;
-	int data_dir, other_dir;
+	int data_dir;
 
 	/*
 	 * batches are currently reads XOR writes
 	 */
-	drq = NULL;
-
-	if (dd->next_drq[READ])
-		drq = dd->next_drq[READ];
-
-	if (dd->next_drq[WRITE])
-		drq = dd->next_drq[WRITE];
+	drq = dd->next_drq[WRITE] ? : dd->next_drq[READ];
 
 	if (drq) {
 		/* we have a "next request" */
@@ -544,7 +538,6 @@ static int deadline_dispatch_requests(st
 			goto dispatch_writes;
 
 		data_dir = READ;
-		other_dir = WRITE;
 
 		goto dispatch_find_request;
 	}
@@ -560,7 +553,6 @@ dispatch_writes:
 		dd->starved = 0;
 
 		data_dir = WRITE;
-		other_dir = READ;
 
 		goto dispatch_find_request;
 	}
_
